/********************************************************************/
/* BGIVIEW: displays viewport output on a BGI screen.               */
/********************************************************************/

#ifndef __BGIVIEW_INCLUDED__
#define __BGIVIEW_INCLUDED__

#include <viewport.h>

class CBgiView : public CViewport
{
private:
	BOOL inited;
	int  bottom;

	void InitBGI();
	void ExitBGI();

public:
	CBgiView();
	virtual ~CBgiView();

	FP2D Size();
	virtual void Line(const FP2D &P, const FP2D &Q);
};

#endif/*__BGIVIEW_INCLUDED__*/