/********************************************************************/
/* DYNAMEM: dynamic memory manager.                                 */
/********************************************************************/

#ifndef __DYNAMEM_INCLUDED__
#define __DYNAMEM_INCLUDED__

#include <stdlib.h>

class CHeap
{
public:
	static void *Alloc(size_t size);
	static void  Free(void *ptr);
};

void *cdecl operator new(size_t size);
void *cdecl operator new(size_t size, size_t extra);
void *cdecl operator new(size_t size, const char *extra);
void  cdecl operator delete(void *ptr);

#endif/*__DYNAMEM_INCLUDED__*/