# must use WMAKE (from the Watcom package), not Borland MAKE
# although it's for the Borland Compiler

make	= pictex.mak

# project-specific definitions

args	= -r -g f:\w\dip\doc\pic\super\flowch1

o	= .obj
exedir	= .
exe	= $(exedir)\pictex.exe

normobj	= &
	pictex$o  &
	dynamem$o  fp$o  geometry$o &
	viewport$o  bgiview$o &
	dxfin$o  dxfread$o  entity$o &
	shxfont$o

depend	= &
	pictex &
	dynamem fp geometry &
	viewport bgiview &
	dxfin dxfread entity &
	shxfont

# extra options

floats	= 1
# emu	= 1
speclib	= graphics
paths	= /I$(trc_lib) /I.
cplus	= $(paths) /N /p
deplus	= $(paths) /s$(bc_inc)
# asm	= f:\w\a

# standard make algorithms

!include bc.mak

# user commands

user: .symbolic
	%make release
	lzexe $(exe)
	%make tidy_up

# file dependencies

#### automatic dependency list ####

pictex.obj: pictex.c dxfread.h dynamem.h bgiview.h trc.h dxfin.h geometry.h &
	shxfont.h viewport.h fp.h
	$(ccall)

dynamem.obj: dynamem.c dynamem.h
	$(ccall)

fp.obj: fp.c fp.h trc.h
	$(ccall)

geometry.obj: geometry.c geometry.h fp.h trc.h
	$(ccall)

viewport.obj: viewport.c viewport.h geometry.h fp.h trc.h
	$(ccall)

bgiview.obj: bgiview.c bgiview.h viewport.h geometry.h fp.h trc.h
	$(ccall)

dxfin.obj: dxfin.c dxfin.h trc.h
	$(ccall)

dxfread.obj: dxfread.c dxfread.h dynamem.h dxfin.h geometry.h shxfont.h &
	trc.h fp.h viewport.h
	$(ccall)

entity.obj: entity.c entity.h viewport.h dxfin.h trc.h geometry.h fp.h
	$(ccall)

shxfont.obj: shxfont.c shxfont.h dynamem.h fp.h viewport.h trc.h geometry.h
	$(ccall)

